C******************** START FILE UPROMR.FOR ; GROUP UREAD5 ******************
C------
C& UPROMR  REPEAT PROGRAM PROMPT ON TTY FOR UREAD
C  REMIND USER OF PROMPT WHEN FURTHER INPUT IS EXPECTED
      SUBROUTINE UPROMR
C
      USE USERIO
C
      IF(NLINDI.OR.(LCMDIN.EQ.2).OR.((.NOT.NLHOLD).AND.(NCHARC.GT.0)))
     >     RETURN
C
      IF(NCHARA.LE.0) THEN
        WRITE(LUNTRM,7003)
 7003 FORMAT(' % AWAITING USER INPUT:')
      ELSE
        WRITE(LUNTRM,7002)
 7002 FORMAT(' % AWAITING USER INPUT, PROMPT IS:')
        CALL UPROMT
      ENDIF
C
      RETURN
C
      END
C******************** END FILE UPROMR.FOR ; GROUP UREAD5 ******************
